package  heritage_mammifere;

public class Chien extends Mammifere {
    private String nom;
    
    // crier est surchargé
    public String crier() {
		return ("waoufff");
    	
    }
    
    public String faireAcrobatie() {
		return ("je jongle");
    	
    }
    // ctor Chien
    public Chien(String name, int age) {
    	super(age); //appel le ctor de Mammifere
    	nom=name;   // pas de setter ici donc affectation directe
    }
}
